/*
 * simpleDebug.h
 *
 *  Created on: 26.08.2018
 *      Author: Procesorowiec
 */

#ifndef BASE_SERIALDEBUG_H_
#define BASE_SERIALDEBUG_H_

#include "commandMan.h"


void SerialDebugInit(void);
uint8_t *SerialDebugGet(void);
void SerialDebugClear(void);
void SerialDebugAddChar(uint8_t data);
void SerialDebugAdd(uint8_t *text);
void SerialDebugAddVal(int16_t val);
void SerialDebugAddValWLen(int16_t val, uint8_t len);
void SerialDebugAddHexVal(uint8_t val);
void SerialDebugAddValWDot(int16_t val, uint8_t dotpos);
void SerialDebugAddHex32Val(uint32_t val);
void SerialDebugAddParam(uint8_t *text, int16_t val);
void SerialDebugMessage(uint8_t *text);
uint8_t SerialDebugProcess(void);

uint8_t SerialDebugInputCheck(void);
void SerialDebugCommandDecode(void);
void SerialDebugInputClear(void);
uint8_t SerialDebugCommandCheck(void);
COMMAND_STRUCT_T *SerialDebugCommandGet(void);

#endif /* BASE_SERIALDEBUG_H_ */
