/*
 * mydelay8xx.c
 *
 *  Created on: Feb 23, 2018
 *      Author: dsosnowski
 */

#include "system8xx.h"
#include "mydelay8xx.h"


#define DELAY_TIMER				LPC_MRT_CH0


//-------------------------------------------------------------------
void MyDelayInit(void){
	//Chip_MRT_Init();
	Chip_MRT_SetDisabled(DELAY_TIMER);
	Chip_MRT_SetMode(DELAY_TIMER, MRT_MODE_ONESHOT);
	Chip_MRT_SetInterval(DELAY_TIMER, (0 | MRT_INTVAL_LOAD));
}

//----------------------------------------
void MyDelayMs(uint32_t ms){
	Chip_MRT_SetInterval(DELAY_TIMER,((MAIN_CLOCK / 1000) * ms) | MRT_INTVAL_LOAD);
	while (Chip_MRT_Running(DELAY_TIMER)){};
}

//----------------------------------------
void MyDelayUs(uint32_t us){
	Chip_MRT_SetInterval(DELAY_TIMER, ((MAIN_CLOCK / 1000000) * us) | MRT_INTVAL_LOAD);
	while (Chip_MRT_Running(DELAY_TIMER)){};
}

